#ifndef _BUFFER_H
#define _BUFFER_H

typedef struct Buffer {
	char *buf;
	char name[8];
	int buf_size;
	int increment;
	int limit;
	int str_size;
	} Buffer;

Buffer *CreateBuffer(char*, int, int, int);
void AddToBuffer(Buffer*, char*);
void AddToBufferN(Buffer*, char*, int);
void FreeBuffer(Buffer*);
void ClearBuffer(Buffer*);
int EmptyBuffer(Buffer*);
int BufferSize(Buffer*);
#endif
